Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrLiteral

    java.lang.Object
      org.modeshape.graph.query.model.Literal
          org.modeshape.jcr.query.qom.JcrLiteral

All Implemented Interfaces:
  Serializable, Literal, Operand, LanguageObject, StaticOperand, Visitable, JcrStaticOperand

    public class JcrLiteral

extends Literal
implements Literal, JcrStaticOperand

Implementation of the literal value static operand for the JCR Query Object Model and the Graph API.

See Also:
  Serialized Form

Constructor Summary
`JcrLiteral(Value value)`
`JcrLiteral(Value value, Object rawValue)`

Method Summary
`Value` | `getLiteralValue()`
`static Object` | `rawValue(Value value)`

Methods inherited from class org.modeshape.graph.query.model.Literal
`accept, equals, hashCode, toString, value`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrLiteral

    public JcrLiteral(Value value)
               throws RepositoryException

Parameters:
  `value` - the JCR value
Throws:
  `RepositoryException` - if there is a problem obtaining the raw value from the supplied JCR value.

### JcrLiteral

    public JcrLiteral(Value value,
                      Object rawValue)

Method Detail

### rawValue

    public static Object rawValue(Value value)
                           throws RepositoryException

  Throws:
    `RepositoryException`

### getLiteralValue

    public Value getLiteralValue()

  Specified by:
    `getLiteralValue` in interface `Literal`
  See Also:
    `Literal.getLiteralValue()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.